Skip to main content
Infrastructure/Installer
POSTInstallerSince 1.0SynchronousAuth Required

BatchDownloadPackages

Start downloading a batch of packages from the depot to local storage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • packageNamesListRequired

    Package names

    Example: item1,item2

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    Collection of result items

    Example: item1,item2

Endpoint

POST/api/v1/installer/packages/download

/api/v1/installer/packages/download

Operation ID

BatchDownloadPackages

Permalink

Request Example

curl -X POST '{host}/api/v1/installer/packages/download' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"packageNames":"item1,item2"}'

Response Example

200
{
  "items": []
}

Change History

This API has no change history records yet.

View all change history